//______________________________________________________________________________
//   |       |
//   | knipp |           Knipp Medien und Kommunikation GmbH
//    -------
//
//
//     Knipp RRI Toolkit
//
//
//     Copyright (C) 2005 by Knipp Medien und Kommunikation GmbH
//
//     This library is free software; you can redistribute it and/or
//     modify it under the terms of the GNU Lesser General Public License 
//     as published by the Free Software Foundation; either version 2.1 
//     of the License, or any later version.
// 
//     This library is distributed in the hope that it will be useful, 
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
//     GNU Lesser General Public License for more details.
//
//     You should have received a copy of the GNU Lesser General
//     Public License along with this library; if not, write to the 
//     Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//     Boston, MA 02111-1307 USA 
//
//
//     initial author:    Klaus Malorny
//
//     version:           1.3 (15112), 2011/05/27 16:00:14
//                        $Revision: 14238 $ 
//                        $Date: 2010-02-15 15:18:23 +0100 (Mon, 15 Feb 2010) $
//                        $Author: thomas.corte $
//

package de.knipp.rritoolkit;

/**
 *  exception that is thrown if the conversion of the request to byte data
 *  fails for some reason, including, but not limited, due to incomplete
 *  setup of the request.
 *
 *  @version  $Revision: 14238 $
 *  @author   Klaus Malorny
 */

public class EncodeException extends Exception
{
  /**
   *  constructor
   *
   *  @param message                  the message
   */
  
  public EncodeException (String message)
  {
    super (message);
  }
  
  
  /**
   *  constructor
   *
   *  @param message                  the message
   *  @param cause                    the causing exception
   */
  
  public EncodeException (String message, Throwable cause)
  {
    super (message, cause);
  }
}